Show / Hide Table of Contents

# Class DtrBar

Class used to interface with the server info bar.

##### Inheritance

System.Object
DtrBar

##### Implements

System.IDisposable
IServiceType

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Gui.Dtr

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class DtrBar : IDisposable, IServiceType

### Methods

| Improve this Doc View Source

#### Get(String, SeString)

Get a DTR bar entry. This allows you to add your own text, and users to sort it.

##### Declaration

    public DtrBarEntry Get(string title, SeString text = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | title | A user-friendly name for sorting.
SeString | text | The text the entry shows.

##### Returns

Type | Description
--- | ---
DtrBarEntry | The entry object used to update, hide and remove the entry.

##### Exceptions

Type | Condition
--- | ---
System.ArgumentException | Thrown when an entry with the specified title exists.

### Explicit Interface Implementations

| Improve this Doc View Source

#### IDisposable.Dispose()

##### Declaration

    void IDisposable.Dispose()

### Implements

System.IDisposable
IServiceType